# rmon

`rmon` monitors unreachable routes installed by `babeld`.

Does _not_ need any special permissions to run.

## howto

### install & run

```shell
$ git clone https://git.freifunk-franken.de/lemmi/rmon
$ cd rmon
$ go get -v
$ go run .
```

### open webbrowser

http://localhost:8080/

## Note

`babeld` can spew out massive amounts of route changes that can fill the netlink socket. 

Check your values:

1. `/proc/sys/net/core/rmem_default` >= 1048576 (1MB)
2. `/proc/sys/net/core/rmem_max` higher than the value above

